
Foreman - Bug #345

unable to save associated operatingsystems

07/08/2010 02:25 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Rails   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It is not possible to save associated os (e.g. in medias, ptable pages etc).

this is cause because of rails using the inherited class name instead of the parent.

Related issues:

Related to Foreman - Bug #3819: Add proper STI to Operatingsystem subtypes Duplicate 12/05/2013

Related to Foreman - Refactor #3962: Operating system children overwrites cla... Closed 01/07/2014

Associated revisions

Revision 3b828aad - 07/08/2010 02:23 PM - Ohad Levy

fixes #345 - unable to save associated operatingsystems

History

#1 - 07/08/2010 02:41 PM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 3b828aadcc917292d306eef60c2e46365442ff8f.

#2 - 07/19/2010 06:34 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

#3 - 01/07/2014 01:38 PM - Dominic Cleal

- Related to Bug #3819: Add proper STI to Operatingsystem subtypes added

#4 - 01/07/2014 02:08 PM - Marek Hulán

- Related to Refactor #3962: Operating system children overwrites class method added

Powered by TCPDF (www.tcpdf.org)

05/14/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/3b828aadcc917292d306eef60c2e46365442ff8f
http://www.tcpdf.org

